<script lang="ts" setup>
import { useCheckStore } from "@/stores/checkin";
import { onMounted, ref } from "vue";
import { mdiPlus } from "@mdi/js";
import { mdiPencil } from "@mdi/js";
import CheckinDialog from "./CheckinDialog.vue";
const checkStore = useCheckStore();


onMounted(async () => {
  await checkStore.getChecks();
});
</script>
<template>
  <CheckinDialog></CheckinDialog>


  <v-btn @click="checkStore.dialog = true" rounded color="#ECE2D3"
    :append-icon="mdiPlus">เพิ่มเวลาเข้า-ออกงาน</v-btn>
  <v-table class="ma-2 rounded-xl">
    <thead>
      <tr>
        <th class="text-center">UserName</th>
        <th class="text-center">DATE</th>
        <th class="text-center">TIME IN</th>
        <th class="text-center">TIME OUT</th>
        <th class="text-center">TOTAL HOUR</th>
        <th class="text-center">CHECK OUT</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of checkStore.checks" :key="item.id" class="text-center">
        <td></td>
        <td>{{ item.date }}</td>
        <td v-if="item.time_in !== undefined">{{ new Date(item.time_in).toLocaleTimeString([], {
      hour: '2-digit',
      minute: '2-digit'
    }) }}</td>
        <td v-else>-</td>

        <td v-if="item.time_out !== undefined">{{ new Date(item.time_out).toLocaleTimeString([], {
      hour: '2-digit',
      minute: '2-digit'
    }) }}</td>
        <td>{{ item.total_hour }}</td>
        <td>
          <v-btn class="mr-5" variant="tonal" color="#b88456" @click="checkStore.updateCheck(item)">CHECK OUT</v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
<style scoped></style>
